谁能找出npm命令出了什么问题

我正在尝试下载npm以使用view,但是每次我尝试安装它时,当我忽略它并运行'npm run watch'时都会给我警告,它给我一个巨大的错误 错误是{ C:\ xampp \ htdocs \ my-first-project> npm运行监视

@观看C:\ xampp \ htdocs \ my-first-project   npm运行开发---watch      @开发C:\ xampp \ htdocs \ my-first-project   交叉环境NODE_ENV =开发node_modules / webpack / bin / webpack.js --progress-隐藏模块--config = node_modules / laravel-mix / setup / webpack.config.js“ --watch”

10%构建1/1模块0处于活动状态 webpack正在监视文件…

发射SizeLimitsPlugin后的98%

错误编译失败,出现2个错误,上午4:04:07  ./resources/sass/app.scss中的错误

模块构建失败(来自./node_modules/css-loader/index.js): ModuleBuildError:模块构建失败(来自./node_modules/sass-loader/dist/cjs.js): ValidationError:无效的选项对象。 Sass Loader已使用与API模式不匹配的选项对象进行了初始化。  -options具有未知属性'outputStyle'。这些属性有效:    对象{实现?,sassOptions ?, prependData ?, sourceMap ?, webpackImporter? }     在验证时(C:\ xampp \ htdocs \ my-first-project \ node_modules \ schema-utils \ dist \ validate.js:88:11)     在Object.loader(C:\ xampp \ htdocs \ my-first-project \ node_modules \ sass-loader \ dist \ index.js:36:28)     在C:\ xampp \ htdocs \ my-first-project \ node_modules \ webpack \ lib \ NormalModule.js:316:20     在C:\ xampp \ htdocs \ my-first-project \ node_modules \ loader-runner \ lib \ LoaderRunner.js:367:11     在C:\ xampp \ htdocs \ my-first-project \ node_modules \ loader-runner \ lib \ LoaderRunner.js:233:18     在runSyncOrAsync(C:\ xampp \ htdocs \ my-first-project \ node_modules \ loader-runner \ lib \ LoaderRunner.js:143:3)     在iterateNormalLoaders(C:\ xampp \ htdocs \ my-first-project \ node_modules \ loader-runner \ lib \ LoaderRunner.js:232:2)     在C:\ xampp \ htdocs \ my-first-project \ node_modules \ loader-runner \ lib \ LoaderRunner.js:205:4     在C:\ xampp \ htdocs \ my-first-project \ node_modules \ enhanced-resolve \ lib \ CachedInputFileSystem.js:85:15     在processTicksAndRejections(内部/进程/task_queues.js:79:11)

./resources/sass/app.scss中的错误

模块构建失败(来自./node_modules/sass-loader/dist/cjs.js): ValidationError:无效的选项对象。 Sass Loader已使用与API模式不匹配的选项对象进行了初始化。  -options具有未知属性'outputStyle'。这些属性有效:    对象{实现?,sassOptions ?, prependData ?, sourceMap ?, webpackImporter? }     在验证时(C:\ xampp \ htdocs \ my-first-project \ node_modules \ schema-utils \ dist \ validate.js:88:11)     在Object.loader(C:\ xampp \ htdocs \ my-first-project \ node_modules \ sass-loader \ dist \ index.js:36:28)

@ ./resources/sass/app.scss 2:14-253

 Asset     Size   Chunks             Chunk Names

/js/app.js 1.4 MiB / js / app [已发布] / js / app

./resources/sass/app.scss中的错误 模块构建失败(来自./node_modules/css-loader/index.js): ModuleBuildError:模块构建失败(来自./node_modules/sass-loader/dist/cjs.js): ValidationError:无效的选项对象。 Sass Loader已使用与API模式不匹配的选项对象进行了初始化。  -options具有未知属性'outputStyle'。这些属性有效:    对象{实现?,sassOptions ?, prependData ?, sourceMap ?, webpackImporter? }     在验证时(C:\ xampp \ htdocs \ my-first-project \ node_modules \ schema-utils \ dist \ validate.js:88:11)     在Object.loader(C:\ xampp \ htdocs \ my-first-project \ node_modules \ sass-loader \ dist \ index.js:36:28)     在C:\ xampp \ htdocs \ my-first-project \ node_modules \ webpack \ lib \ NormalModule.js:316:20     在C:\ xampp \ htdocs \ my-first-project \ node_modules \ loader-runner \ lib \ LoaderRunner.js:367:11     在C:\ xampp \ htdocs \ my-first-project \ node_modules \ loader-runner \ lib \ LoaderRunner.js:233:18     在runSyncOrAsync(C:\ xampp \ htdocs \ my-first-project \ node_modules \ loader-runner \ lib \ LoaderRunner.js:143:3)     在iterateNormalLoaders(C:\ xampp \ htdocs \ my-first-project \ node_modules \ loader-runner \ lib \ LoaderRunner.js:232:2)     在C:\ xampp \ htdocs \ my-first-project \ node_modules \ loader-runner \ lib \ LoaderRunner.js:205:4     在C:\ xampp \ htdocs \ my-first-project \ node_modules \ enhanced-resolve \ lib \ CachedInputFileSystem.js:85:15     在processTicksAndRejections(内部/进程/task_queues.js:79:11)  @ ./resources/sass/app.scss

./resources/sass/app.scss中的错误(./node_modules/css-loader??ref--5-2!./node_modules/postcss-loader/src??postcss0!../node_modules/resolve-url-loader ref--5-4!./ node_modules / sass-loader / dist / cjs.js ?? ref--5-5!./ resources / sass / app.scss) 模块构建失败(来自./node_modules/sass-loader/dist/cjs.js): ValidationError:无效的选项对象。 Sass Loader已使用与API模式不匹配的选项对象进行了初始化。  -options具有未知属性'outputStyle'。这些属性有效:    对象{实现?,sassOptions ?, prependData ?, sourceMap ?, webpackImporter? }     在验证时(C:\ xampp \ htdocs \ my-first-project \ node_modules \ schema-utils \ dist \ validate.js:88:11)     在Object.loader(C:\ xampp \ htdocs \ my-first-project \ node_modules \ sass-loader \ dist \ index.js:36:28)  @ ./resources/sass/app.scss 2:14-253 }

评论